Web lists-archives.com

Re: Please do not drop Python 2 modules




Adrian,

> We (Debian) have decided to support Python 2.7 in buster, like it or not.
> 
> At that point it is not up to individual maintainers to sabotage
> Python 2.7 support in buster by dropping Python 2 packages without
> a valid technical reason.

Most maintainers are likely dropping Python 2 modules due to a
misunderstanding or otherwise mistaken misinterpretation of the
situation surrounding Python 2.x.

Any such removals are fairly easily and cordially reversed if
their error is politely pointed out.

To therefore jump to assuming this is "sabotage" seems to be
premature and unnecessarily antagonistic.


Best wishes,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      lamby@xxxxxxxxxx / chris-lamb.co.uk
       `-